/* 
 * time.c
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/02/01 15:20:28 $
 */

#include "xtime.h"
#include "xsim.h"

void
xGetTime(t)
    XTime *t;
{
    t->sec = xsimCurrentTime/(1000000/xsimTimeGranularity);
    t->usec = (xsimCurrentTime%(1000000/xsimTimeGranularity)*xsimTimeGranularity);
}
