/*
 * $RCSfile: compose_scout.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1994,1996  Arizona Board of Regents
 *
 * $Log: compose_scout.h,v $
 * Revision 1.3  1996/01/27 00:13:01  slm
 * Updated copyright and version.
 *
 * Revision 1.2  1995/10/17  15:42:24  slm
 * Moved system prototypes from .c files.
 *
 * Revision 1.1  1995/07/29  03:08:13  slm
 * Initial revision
 *
 * Revision 1.1  1994/04/13  22:07:59  davidm
 * Initial revision
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <strings.h>
#include <sys/types.h>
#include <sys/dir.h>
#define DIRENT direct
#include <sys/stat.h>
#include <sys/file.h>

#if defined(__STDC__) && defined(XK_NEEDS_SYSTEM_PROTOTYPES)

int	unlink( char * );
int	access( char *, int );

/* 
 * System prototypes
 */
void	perror( char * );
int	printf();
int	bzero( char *, int );
int	_flsbuf();
int	_filbuf();
void	exit( int );
int	fclose( FILE * );
int	fprintf( FILE *, char *, ... );
int	system( char * );
char *	mktemp( char * );
int	getopt( int, char **, char * );
void *	malloc( unsigned );

#endif /* __STDC__ && XK_NEEDS_SYSTEM_PROTOTYPES */
